-- VHDL model created from delay.sch - Mon Sep 10 12:20:06 2007


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity delay is
   port ( CNTR  : in    std_logic_vector (7 downto 0); 
          DIN   : in    std_logic; 
          INCLK : in    std_logic; 
          DOUT  : out   std_logic);
end delay;

architecture BEHAVIORAL of delay is
   attribute BOX_TYPE   : STRING ;
   signal CLK   : std_logic;
   signal D     : std_logic_vector (255 downto 0);
   component dff1
      port ( din  : in    std_logic; 
             clk  : in    std_logic; 
             qout : out   std_logic);
   end component;
   
   component mux256
      port ( M : in    std_logic_vector (255 downto 0); 
             S : in    std_logic_vector (7 downto 0); 
             O : out   std_logic);
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : dff1
      port map (clk=>CLK, din=>D(0), qout=>D(1));
   
   XLXI_2 : dff1
      port map (clk=>CLK, din=>D(1), qout=>D(2));
   
   XLXI_17 : dff1
      port map (clk=>CLK, din=>D(16), qout=>D(17));
   
   XLXI_280 : dff1
      port map (clk=>CLK, din=>D(17), qout=>D(18));
   
   XLXI_281 : dff1
      port map (clk=>CLK, din=>D(32), qout=>D(33));
   
   XLXI_282 : dff1
      port map (clk=>CLK, din=>D(33), qout=>D(34));
   
   XLXI_283 : dff1
      port map (clk=>CLK, din=>D(48), qout=>D(49));
   
   XLXI_284 : dff1
      port map (clk=>CLK, din=>D(49), qout=>D(50));
   
   XLXI_285 : dff1
      port map (clk=>CLK, din=>D(2), qout=>D(3));
   
   XLXI_286 : dff1
      port map (clk=>CLK, din=>D(3), qout=>D(4));
   
   XLXI_287 : dff1
      port map (clk=>CLK, din=>D(18), qout=>D(19));
   
   XLXI_288 : dff1
      port map (clk=>CLK, din=>D(19), qout=>D(20));
   
   XLXI_289 : dff1
      port map (clk=>CLK, din=>D(34), qout=>D(35));
   
   XLXI_290 : dff1
      port map (clk=>CLK, din=>D(35), qout=>D(36));
   
   XLXI_291 : dff1
      port map (clk=>CLK, din=>D(50), qout=>D(51));
   
   XLXI_292 : dff1
      port map (clk=>CLK, din=>D(51), qout=>D(52));
   
   XLXI_293 : dff1
      port map (clk=>CLK, din=>D(64), qout=>D(65));
   
   XLXI_294 : dff1
      port map (clk=>CLK, din=>D(65), qout=>D(66));
   
   XLXI_295 : dff1
      port map (clk=>CLK, din=>D(80), qout=>D(81));
   
   XLXI_296 : dff1
      port map (clk=>CLK, din=>D(81), qout=>D(82));
   
   XLXI_297 : dff1
      port map (clk=>CLK, din=>D(96), qout=>D(97));
   
   XLXI_298 : dff1
      port map (clk=>CLK, din=>D(97), qout=>D(98));
   
   XLXI_299 : dff1
      port map (clk=>CLK, din=>D(112), qout=>D(113));
   
   XLXI_300 : dff1
      port map (clk=>CLK, din=>D(113), qout=>D(114));
   
   XLXI_301 : dff1
      port map (clk=>CLK, din=>D(66), qout=>D(67));
   
   XLXI_302 : dff1
      port map (clk=>CLK, din=>D(67), qout=>D(68));
   
   XLXI_303 : dff1
      port map (clk=>CLK, din=>D(82), qout=>D(83));
   
   XLXI_304 : dff1
      port map (clk=>CLK, din=>D(83), qout=>D(84));
   
   XLXI_305 : dff1
      port map (clk=>CLK, din=>D(98), qout=>D(99));
   
   XLXI_306 : dff1
      port map (clk=>CLK, din=>D(99), qout=>D(100));
   
   XLXI_307 : dff1
      port map (clk=>CLK, din=>D(114), qout=>D(115));
   
   XLXI_308 : dff1
      port map (clk=>CLK, din=>D(115), qout=>D(116));
   
   XLXI_309 : dff1
      port map (clk=>CLK, din=>D(4), qout=>D(5));
   
   XLXI_310 : dff1
      port map (clk=>CLK, din=>D(5), qout=>D(6));
   
   XLXI_311 : dff1
      port map (clk=>CLK, din=>D(20), qout=>D(21));
   
   XLXI_312 : dff1
      port map (clk=>CLK, din=>D(21), qout=>D(22));
   
   XLXI_313 : dff1
      port map (clk=>CLK, din=>D(36), qout=>D(37));
   
   XLXI_314 : dff1
      port map (clk=>CLK, din=>D(37), qout=>D(38));
   
   XLXI_315 : dff1
      port map (clk=>CLK, din=>D(52), qout=>D(53));
   
   XLXI_316 : dff1
      port map (clk=>CLK, din=>D(53), qout=>D(54));
   
   XLXI_317 : dff1
      port map (clk=>CLK, din=>D(6), qout=>D(7));
   
   XLXI_318 : dff1
      port map (clk=>CLK, din=>D(7), qout=>D(8));
   
   XLXI_319 : dff1
      port map (clk=>CLK, din=>D(22), qout=>D(23));
   
   XLXI_320 : dff1
      port map (clk=>CLK, din=>D(23), qout=>D(24));
   
   XLXI_321 : dff1
      port map (clk=>CLK, din=>D(38), qout=>D(39));
   
   XLXI_322 : dff1
      port map (clk=>CLK, din=>D(39), qout=>D(40));
   
   XLXI_323 : dff1
      port map (clk=>CLK, din=>D(54), qout=>D(55));
   
   XLXI_324 : dff1
      port map (clk=>CLK, din=>D(55), qout=>D(56));
   
   XLXI_325 : dff1
      port map (clk=>CLK, din=>D(68), qout=>D(69));
   
   XLXI_326 : dff1
      port map (clk=>CLK, din=>D(69), qout=>D(70));
   
   XLXI_327 : dff1
      port map (clk=>CLK, din=>D(84), qout=>D(85));
   
   XLXI_328 : dff1
      port map (clk=>CLK, din=>D(85), qout=>D(86));
   
   XLXI_329 : dff1
      port map (clk=>CLK, din=>D(100), qout=>D(101));
   
   XLXI_330 : dff1
      port map (clk=>CLK, din=>D(101), qout=>D(102));
   
   XLXI_331 : dff1
      port map (clk=>CLK, din=>D(116), qout=>D(117));
   
   XLXI_332 : dff1
      port map (clk=>CLK, din=>D(117), qout=>D(118));
   
   XLXI_333 : dff1
      port map (clk=>CLK, din=>D(70), qout=>D(71));
   
   XLXI_334 : dff1
      port map (clk=>CLK, din=>D(71), qout=>D(72));
   
   XLXI_335 : dff1
      port map (clk=>CLK, din=>D(86), qout=>D(87));
   
   XLXI_336 : dff1
      port map (clk=>CLK, din=>D(87), qout=>D(88));
   
   XLXI_337 : dff1
      port map (clk=>CLK, din=>D(102), qout=>D(103));
   
   XLXI_338 : dff1
      port map (clk=>CLK, din=>D(103), qout=>D(104));
   
   XLXI_339 : dff1
      port map (clk=>CLK, din=>D(118), qout=>D(119));
   
   XLXI_340 : dff1
      port map (clk=>CLK, din=>D(119), qout=>D(120));
   
   XLXI_341 : dff1
      port map (clk=>CLK, din=>D(128), qout=>D(129));
   
   XLXI_342 : dff1
      port map (clk=>CLK, din=>D(129), qout=>D(130));
   
   XLXI_343 : dff1
      port map (clk=>CLK, din=>D(144), qout=>D(145));
   
   XLXI_344 : dff1
      port map (clk=>CLK, din=>D(145), qout=>D(146));
   
   XLXI_345 : dff1
      port map (clk=>CLK, din=>D(160), qout=>D(161));
   
   XLXI_346 : dff1
      port map (clk=>CLK, din=>D(161), qout=>D(162));
   
   XLXI_347 : dff1
      port map (clk=>CLK, din=>D(176), qout=>D(177));
   
   XLXI_348 : dff1
      port map (clk=>CLK, din=>D(177), qout=>D(178));
   
   XLXI_349 : dff1
      port map (clk=>CLK, din=>D(130), qout=>D(131));
   
   XLXI_350 : dff1
      port map (clk=>CLK, din=>D(131), qout=>D(132));
   
   XLXI_351 : dff1
      port map (clk=>CLK, din=>D(146), qout=>D(147));
   
   XLXI_352 : dff1
      port map (clk=>CLK, din=>D(147), qout=>D(148));
   
   XLXI_353 : dff1
      port map (clk=>CLK, din=>D(162), qout=>D(163));
   
   XLXI_354 : dff1
      port map (clk=>CLK, din=>D(163), qout=>D(164));
   
   XLXI_355 : dff1
      port map (clk=>CLK, din=>D(178), qout=>D(179));
   
   XLXI_356 : dff1
      port map (clk=>CLK, din=>D(179), qout=>D(180));
   
   XLXI_357 : dff1
      port map (clk=>CLK, din=>D(192), qout=>D(193));
   
   XLXI_358 : dff1
      port map (clk=>CLK, din=>D(193), qout=>D(194));
   
   XLXI_359 : dff1
      port map (clk=>CLK, din=>D(208), qout=>D(209));
   
   XLXI_360 : dff1
      port map (clk=>CLK, din=>D(209), qout=>D(210));
   
   XLXI_361 : dff1
      port map (clk=>CLK, din=>D(224), qout=>D(225));
   
   XLXI_362 : dff1
      port map (clk=>CLK, din=>D(225), qout=>D(226));
   
   XLXI_363 : dff1
      port map (clk=>CLK, din=>D(240), qout=>D(241));
   
   XLXI_364 : dff1
      port map (clk=>CLK, din=>D(241), qout=>D(242));
   
   XLXI_365 : dff1
      port map (clk=>CLK, din=>D(194), qout=>D(195));
   
   XLXI_366 : dff1
      port map (clk=>CLK, din=>D(195), qout=>D(196));
   
   XLXI_367 : dff1
      port map (clk=>CLK, din=>D(210), qout=>D(211));
   
   XLXI_368 : dff1
      port map (clk=>CLK, din=>D(211), qout=>D(212));
   
   XLXI_369 : dff1
      port map (clk=>CLK, din=>D(226), qout=>D(227));
   
   XLXI_370 : dff1
      port map (clk=>CLK, din=>D(227), qout=>D(228));
   
   XLXI_371 : dff1
      port map (clk=>CLK, din=>D(242), qout=>D(243));
   
   XLXI_372 : dff1
      port map (clk=>CLK, din=>D(243), qout=>D(244));
   
   XLXI_373 : dff1
      port map (clk=>CLK, din=>D(132), qout=>D(133));
   
   XLXI_374 : dff1
      port map (clk=>CLK, din=>D(133), qout=>D(134));
   
   XLXI_375 : dff1
      port map (clk=>CLK, din=>D(148), qout=>D(149));
   
   XLXI_376 : dff1
      port map (clk=>CLK, din=>D(149), qout=>D(150));
   
   XLXI_377 : dff1
      port map (clk=>CLK, din=>D(164), qout=>D(165));
   
   XLXI_378 : dff1
      port map (clk=>CLK, din=>D(165), qout=>D(166));
   
   XLXI_379 : dff1
      port map (clk=>CLK, din=>D(180), qout=>D(181));
   
   XLXI_380 : dff1
      port map (clk=>CLK, din=>D(181), qout=>D(182));
   
   XLXI_381 : dff1
      port map (clk=>CLK, din=>D(134), qout=>D(135));
   
   XLXI_382 : dff1
      port map (clk=>CLK, din=>D(135), qout=>D(136));
   
   XLXI_383 : dff1
      port map (clk=>CLK, din=>D(150), qout=>D(151));
   
   XLXI_384 : dff1
      port map (clk=>CLK, din=>D(151), qout=>D(152));
   
   XLXI_385 : dff1
      port map (clk=>CLK, din=>D(166), qout=>D(167));
   
   XLXI_386 : dff1
      port map (clk=>CLK, din=>D(167), qout=>D(168));
   
   XLXI_387 : dff1
      port map (clk=>CLK, din=>D(182), qout=>D(183));
   
   XLXI_388 : dff1
      port map (clk=>CLK, din=>D(183), qout=>D(184));
   
   XLXI_389 : dff1
      port map (clk=>CLK, din=>D(196), qout=>D(197));
   
   XLXI_390 : dff1
      port map (clk=>CLK, din=>D(197), qout=>D(198));
   
   XLXI_391 : dff1
      port map (clk=>CLK, din=>D(212), qout=>D(213));
   
   XLXI_392 : dff1
      port map (clk=>CLK, din=>D(213), qout=>D(214));
   
   XLXI_393 : dff1
      port map (clk=>CLK, din=>D(228), qout=>D(229));
   
   XLXI_394 : dff1
      port map (clk=>CLK, din=>D(229), qout=>D(230));
   
   XLXI_395 : dff1
      port map (clk=>CLK, din=>D(244), qout=>D(245));
   
   XLXI_396 : dff1
      port map (clk=>CLK, din=>D(245), qout=>D(246));
   
   XLXI_397 : dff1
      port map (clk=>CLK, din=>D(198), qout=>D(199));
   
   XLXI_398 : dff1
      port map (clk=>CLK, din=>D(199), qout=>D(200));
   
   XLXI_399 : dff1
      port map (clk=>CLK, din=>D(214), qout=>D(215));
   
   XLXI_400 : dff1
      port map (clk=>CLK, din=>D(215), qout=>D(216));
   
   XLXI_401 : dff1
      port map (clk=>CLK, din=>D(230), qout=>D(231));
   
   XLXI_402 : dff1
      port map (clk=>CLK, din=>D(231), qout=>D(232));
   
   XLXI_403 : dff1
      port map (clk=>CLK, din=>D(246), qout=>D(247));
   
   XLXI_404 : dff1
      port map (clk=>CLK, din=>D(247), qout=>D(248));
   
   XLXI_405 : dff1
      port map (clk=>CLK, din=>D(8), qout=>D(9));
   
   XLXI_406 : dff1
      port map (clk=>CLK, din=>D(9), qout=>D(10));
   
   XLXI_407 : dff1
      port map (clk=>CLK, din=>D(24), qout=>D(25));
   
   XLXI_408 : dff1
      port map (clk=>CLK, din=>D(25), qout=>D(26));
   
   XLXI_409 : dff1
      port map (clk=>CLK, din=>D(40), qout=>D(41));
   
   XLXI_410 : dff1
      port map (clk=>CLK, din=>D(41), qout=>D(42));
   
   XLXI_411 : dff1
      port map (clk=>CLK, din=>D(56), qout=>D(57));
   
   XLXI_412 : dff1
      port map (clk=>CLK, din=>D(57), qout=>D(58));
   
   XLXI_413 : dff1
      port map (clk=>CLK, din=>D(10), qout=>D(11));
   
   XLXI_414 : dff1
      port map (clk=>CLK, din=>D(11), qout=>D(12));
   
   XLXI_415 : dff1
      port map (clk=>CLK, din=>D(26), qout=>D(27));
   
   XLXI_416 : dff1
      port map (clk=>CLK, din=>D(27), qout=>D(28));
   
   XLXI_417 : dff1
      port map (clk=>CLK, din=>D(42), qout=>D(43));
   
   XLXI_418 : dff1
      port map (clk=>CLK, din=>D(43), qout=>D(44));
   
   XLXI_419 : dff1
      port map (clk=>CLK, din=>D(58), qout=>D(59));
   
   XLXI_420 : dff1
      port map (clk=>CLK, din=>D(59), qout=>D(60));
   
   XLXI_421 : dff1
      port map (clk=>CLK, din=>D(72), qout=>D(73));
   
   XLXI_422 : dff1
      port map (clk=>CLK, din=>D(73), qout=>D(74));
   
   XLXI_423 : dff1
      port map (clk=>CLK, din=>D(88), qout=>D(89));
   
   XLXI_424 : dff1
      port map (clk=>CLK, din=>D(89), qout=>D(90));
   
   XLXI_425 : dff1
      port map (clk=>CLK, din=>D(104), qout=>D(105));
   
   XLXI_426 : dff1
      port map (clk=>CLK, din=>D(105), qout=>D(106));
   
   XLXI_427 : dff1
      port map (clk=>CLK, din=>D(120), qout=>D(121));
   
   XLXI_428 : dff1
      port map (clk=>CLK, din=>D(121), qout=>D(122));
   
   XLXI_429 : dff1
      port map (clk=>CLK, din=>D(74), qout=>D(75));
   
   XLXI_430 : dff1
      port map (clk=>CLK, din=>D(75), qout=>D(76));
   
   XLXI_431 : dff1
      port map (clk=>CLK, din=>D(90), qout=>D(91));
   
   XLXI_432 : dff1
      port map (clk=>CLK, din=>D(91), qout=>D(92));
   
   XLXI_433 : dff1
      port map (clk=>CLK, din=>D(106), qout=>D(107));
   
   XLXI_434 : dff1
      port map (clk=>CLK, din=>D(107), qout=>D(108));
   
   XLXI_435 : dff1
      port map (clk=>CLK, din=>D(122), qout=>D(123));
   
   XLXI_436 : dff1
      port map (clk=>CLK, din=>D(123), qout=>D(124));
   
   XLXI_437 : dff1
      port map (clk=>CLK, din=>D(12), qout=>D(13));
   
   XLXI_438 : dff1
      port map (clk=>CLK, din=>D(13), qout=>D(14));
   
   XLXI_439 : dff1
      port map (clk=>CLK, din=>D(28), qout=>D(29));
   
   XLXI_440 : dff1
      port map (clk=>CLK, din=>D(29), qout=>D(30));
   
   XLXI_441 : dff1
      port map (clk=>CLK, din=>D(44), qout=>D(45));
   
   XLXI_442 : dff1
      port map (clk=>CLK, din=>D(45), qout=>D(46));
   
   XLXI_443 : dff1
      port map (clk=>CLK, din=>D(60), qout=>D(61));
   
   XLXI_444 : dff1
      port map (clk=>CLK, din=>D(61), qout=>D(62));
   
   XLXI_445 : dff1
      port map (clk=>CLK, din=>D(14), qout=>D(15));
   
   XLXI_446 : dff1
      port map (clk=>CLK, din=>D(15), qout=>D(16));
   
   XLXI_447 : dff1
      port map (clk=>CLK, din=>D(30), qout=>D(31));
   
   XLXI_448 : dff1
      port map (clk=>CLK, din=>D(31), qout=>D(32));
   
   XLXI_449 : dff1
      port map (clk=>CLK, din=>D(46), qout=>D(47));
   
   XLXI_450 : dff1
      port map (clk=>CLK, din=>D(47), qout=>D(48));
   
   XLXI_451 : dff1
      port map (clk=>CLK, din=>D(62), qout=>D(63));
   
   XLXI_452 : dff1
      port map (clk=>CLK, din=>D(63), qout=>D(64));
   
   XLXI_453 : dff1
      port map (clk=>CLK, din=>D(76), qout=>D(77));
   
   XLXI_454 : dff1
      port map (clk=>CLK, din=>D(77), qout=>D(78));
   
   XLXI_455 : dff1
      port map (clk=>CLK, din=>D(92), qout=>D(93));
   
   XLXI_456 : dff1
      port map (clk=>CLK, din=>D(93), qout=>D(94));
   
   XLXI_457 : dff1
      port map (clk=>CLK, din=>D(108), qout=>D(109));
   
   XLXI_458 : dff1
      port map (clk=>CLK, din=>D(109), qout=>D(110));
   
   XLXI_459 : dff1
      port map (clk=>CLK, din=>D(124), qout=>D(125));
   
   XLXI_460 : dff1
      port map (clk=>CLK, din=>D(125), qout=>D(126));
   
   XLXI_461 : dff1
      port map (clk=>CLK, din=>D(78), qout=>D(79));
   
   XLXI_462 : dff1
      port map (clk=>CLK, din=>D(79), qout=>D(80));
   
   XLXI_463 : dff1
      port map (clk=>CLK, din=>D(94), qout=>D(95));
   
   XLXI_464 : dff1
      port map (clk=>CLK, din=>D(95), qout=>D(96));
   
   XLXI_465 : dff1
      port map (clk=>CLK, din=>D(110), qout=>D(111));
   
   XLXI_466 : dff1
      port map (clk=>CLK, din=>D(111), qout=>D(112));
   
   XLXI_467 : dff1
      port map (clk=>CLK, din=>D(126), qout=>D(127));
   
   XLXI_468 : dff1
      port map (clk=>CLK, din=>D(127), qout=>D(128));
   
   XLXI_469 : dff1
      port map (clk=>CLK, din=>D(136), qout=>D(137));
   
   XLXI_470 : dff1
      port map (clk=>CLK, din=>D(137), qout=>D(138));
   
   XLXI_471 : dff1
      port map (clk=>CLK, din=>D(152), qout=>D(153));
   
   XLXI_472 : dff1
      port map (clk=>CLK, din=>D(153), qout=>D(154));
   
   XLXI_473 : dff1
      port map (clk=>CLK, din=>D(168), qout=>D(169));
   
   XLXI_474 : dff1
      port map (clk=>CLK, din=>D(169), qout=>D(170));
   
   XLXI_475 : dff1
      port map (clk=>CLK, din=>D(184), qout=>D(185));
   
   XLXI_476 : dff1
      port map (clk=>CLK, din=>D(185), qout=>D(186));
   
   XLXI_477 : dff1
      port map (clk=>CLK, din=>D(138), qout=>D(139));
   
   XLXI_478 : dff1
      port map (clk=>CLK, din=>D(139), qout=>D(140));
   
   XLXI_479 : dff1
      port map (clk=>CLK, din=>D(154), qout=>D(155));
   
   XLXI_480 : dff1
      port map (clk=>CLK, din=>D(155), qout=>D(156));
   
   XLXI_481 : dff1
      port map (clk=>CLK, din=>D(170), qout=>D(171));
   
   XLXI_482 : dff1
      port map (clk=>CLK, din=>D(171), qout=>D(172));
   
   XLXI_483 : dff1
      port map (clk=>CLK, din=>D(186), qout=>D(187));
   
   XLXI_484 : dff1
      port map (clk=>CLK, din=>D(187), qout=>D(188));
   
   XLXI_485 : dff1
      port map (clk=>CLK, din=>D(200), qout=>D(201));
   
   XLXI_486 : dff1
      port map (clk=>CLK, din=>D(201), qout=>D(202));
   
   XLXI_487 : dff1
      port map (clk=>CLK, din=>D(216), qout=>D(217));
   
   XLXI_488 : dff1
      port map (clk=>CLK, din=>D(217), qout=>D(218));
   
   XLXI_489 : dff1
      port map (clk=>CLK, din=>D(232), qout=>D(233));
   
   XLXI_490 : dff1
      port map (clk=>CLK, din=>D(233), qout=>D(234));
   
   XLXI_491 : dff1
      port map (clk=>CLK, din=>D(248), qout=>D(249));
   
   XLXI_492 : dff1
      port map (clk=>CLK, din=>D(249), qout=>D(250));
   
   XLXI_493 : dff1
      port map (clk=>CLK, din=>D(202), qout=>D(203));
   
   XLXI_494 : dff1
      port map (clk=>CLK, din=>D(203), qout=>D(204));
   
   XLXI_495 : dff1
      port map (clk=>CLK, din=>D(218), qout=>D(219));
   
   XLXI_496 : dff1
      port map (clk=>CLK, din=>D(219), qout=>D(220));
   
   XLXI_497 : dff1
      port map (clk=>CLK, din=>D(234), qout=>D(235));
   
   XLXI_498 : dff1
      port map (clk=>CLK, din=>D(235), qout=>D(236));
   
   XLXI_499 : dff1
      port map (clk=>CLK, din=>D(250), qout=>D(251));
   
   XLXI_500 : dff1
      port map (clk=>CLK, din=>D(251), qout=>D(252));
   
   XLXI_501 : dff1
      port map (clk=>CLK, din=>D(140), qout=>D(141));
   
   XLXI_502 : dff1
      port map (clk=>CLK, din=>D(141), qout=>D(142));
   
   XLXI_503 : dff1
      port map (clk=>CLK, din=>D(156), qout=>D(157));
   
   XLXI_504 : dff1
      port map (clk=>CLK, din=>D(157), qout=>D(158));
   
   XLXI_505 : dff1
      port map (clk=>CLK, din=>D(172), qout=>D(173));
   
   XLXI_506 : dff1
      port map (clk=>CLK, din=>D(173), qout=>D(174));
   
   XLXI_507 : dff1
      port map (clk=>CLK, din=>D(188), qout=>D(189));
   
   XLXI_508 : dff1
      port map (clk=>CLK, din=>D(189), qout=>D(190));
   
   XLXI_509 : dff1
      port map (clk=>CLK, din=>D(142), qout=>D(143));
   
   XLXI_510 : dff1
      port map (clk=>CLK, din=>D(143), qout=>D(144));
   
   XLXI_511 : dff1
      port map (clk=>CLK, din=>D(158), qout=>D(159));
   
   XLXI_512 : dff1
      port map (clk=>CLK, din=>D(159), qout=>D(160));
   
   XLXI_513 : dff1
      port map (clk=>CLK, din=>D(174), qout=>D(175));
   
   XLXI_514 : dff1
      port map (clk=>CLK, din=>D(175), qout=>D(176));
   
   XLXI_515 : dff1
      port map (clk=>CLK, din=>D(190), qout=>D(191));
   
   XLXI_516 : dff1
      port map (clk=>CLK, din=>D(191), qout=>D(192));
   
   XLXI_517 : dff1
      port map (clk=>CLK, din=>D(204), qout=>D(205));
   
   XLXI_518 : dff1
      port map (clk=>CLK, din=>D(205), qout=>D(206));
   
   XLXI_519 : dff1
      port map (clk=>CLK, din=>D(220), qout=>D(221));
   
   XLXI_520 : dff1
      port map (clk=>CLK, din=>D(221), qout=>D(222));
   
   XLXI_521 : dff1
      port map (clk=>CLK, din=>D(236), qout=>D(237));
   
   XLXI_522 : dff1
      port map (clk=>CLK, din=>D(237), qout=>D(238));
   
   XLXI_523 : dff1
      port map (clk=>CLK, din=>D(252), qout=>D(253));
   
   XLXI_524 : dff1
      port map (clk=>CLK, din=>D(253), qout=>D(254));
   
   XLXI_525 : dff1
      port map (clk=>CLK, din=>D(206), qout=>D(207));
   
   XLXI_526 : dff1
      port map (clk=>CLK, din=>D(207), qout=>D(208));
   
   XLXI_527 : dff1
      port map (clk=>CLK, din=>D(222), qout=>D(223));
   
   XLXI_528 : dff1
      port map (clk=>CLK, din=>D(223), qout=>D(224));
   
   XLXI_529 : dff1
      port map (clk=>CLK, din=>D(238), qout=>D(239));
   
   XLXI_530 : dff1
      port map (clk=>CLK, din=>D(239), qout=>D(240));
   
   XLXI_531 : dff1
      port map (clk=>CLK, din=>D(254), qout=>D(255));
   
   XLXI_661 : mux256
      port map (M(255 downto 0)=>D(255 downto 0), S(7 downto 0)=>CNTR(7 downto
            0), O=>DOUT);
   
   XLXI_664 : BUF
      port map (I=>INCLK, O=>CLK);
   
   XLXI_665 : BUF
      port map (I=>DIN, O=>D(0));
   
end BEHAVIORAL;


