-- Vhdl model created from schematic delay.sch - Wed Mar 03 15:57:42 2004

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
-- synopsys translate_off
LIBRARY UNISIM;
USE UNISIM.Vcomponents.ALL;
-- synopsys translate_on

ENTITY delay IS
   PORT ( CNTR	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          DIN	:	IN	STD_LOGIC; 
          INCLK	:	IN	STD_LOGIC; 
          DOUT	:	OUT	STD_LOGIC);

end delay;

ARCHITECTURE SCHEMATIC OF delay IS
   SIGNAL CLK	:	STD_LOGIC;
   SIGNAL D	:	STD_LOGIC_VECTOR (255 DOWNTO 0);
   SIGNAL XLXN_555	:	STD_LOGIC;

   ATTRIBUTE BOX_TYPE : STRING;

   COMPONENT BUF
      PORT ( I	:	IN	STD_LOGIC; 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

   ATTRIBUTE BOX_TYPE OF BUF : COMPONENT IS "BLACK_BOX";
   COMPONENT dff1
      PORT ( din	:	IN	STD_LOGIC; 
             clk	:	IN	STD_LOGIC; 
             qout	:	OUT	STD_LOGIC);
   END COMPONENT;

   COMPONENT mux256
      PORT ( M	:	IN	STD_LOGIC_VECTOR (255 DOWNTO 0); 
             S	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
             O	:	OUT	STD_LOGIC);
   END COMPONENT;

BEGIN

   XLXI_665 : BUF
      PORT MAP (I=>DIN, O=>D(0));

   XLXI_664 : BUF
      PORT MAP (I=>INCLK, O=>CLK);

   XLXI_452 : dff1
      PORT MAP (din=>D(63), clk=>CLK, qout=>D(64));

   XLXI_451 : dff1
      PORT MAP (din=>D(62), clk=>CLK, qout=>D(63));

   XLXI_450 : dff1
      PORT MAP (din=>D(47), clk=>CLK, qout=>D(48));

   XLXI_449 : dff1
      PORT MAP (din=>D(46), clk=>CLK, qout=>D(47));

   XLXI_448 : dff1
      PORT MAP (din=>D(31), clk=>CLK, qout=>D(32));

   XLXI_447 : dff1
      PORT MAP (din=>D(30), clk=>CLK, qout=>D(31));

   XLXI_446 : dff1
      PORT MAP (din=>D(15), clk=>CLK, qout=>D(16));

   XLXI_445 : dff1
      PORT MAP (din=>D(14), clk=>CLK, qout=>D(15));

   XLXI_444 : dff1
      PORT MAP (din=>D(61), clk=>CLK, qout=>D(62));

   XLXI_443 : dff1
      PORT MAP (din=>D(60), clk=>CLK, qout=>D(61));

   XLXI_442 : dff1
      PORT MAP (din=>D(45), clk=>CLK, qout=>D(46));

   XLXI_441 : dff1
      PORT MAP (din=>D(44), clk=>CLK, qout=>D(45));

   XLXI_440 : dff1
      PORT MAP (din=>D(29), clk=>CLK, qout=>D(30));

   XLXI_439 : dff1
      PORT MAP (din=>D(28), clk=>CLK, qout=>D(29));

   XLXI_438 : dff1
      PORT MAP (din=>D(13), clk=>CLK, qout=>D(14));

   XLXI_453 : dff1
      PORT MAP (din=>D(76), clk=>CLK, qout=>D(77));

   XLXI_454 : dff1
      PORT MAP (din=>D(77), clk=>CLK, qout=>D(78));

   XLXI_455 : dff1
      PORT MAP (din=>D(92), clk=>CLK, qout=>D(93));

   XLXI_456 : dff1
      PORT MAP (din=>D(93), clk=>CLK, qout=>D(94));

   XLXI_457 : dff1
      PORT MAP (din=>D(108), clk=>CLK, qout=>D(109));

   XLXI_458 : dff1
      PORT MAP (din=>D(109), clk=>CLK, qout=>D(110));

   XLXI_459 : dff1
      PORT MAP (din=>D(124), clk=>CLK, qout=>D(125));

   XLXI_460 : dff1
      PORT MAP (din=>D(125), clk=>CLK, qout=>D(126));

   XLXI_461 : dff1
      PORT MAP (din=>D(78), clk=>CLK, qout=>D(79));

   XLXI_462 : dff1
      PORT MAP (din=>D(79), clk=>CLK, qout=>D(80));

   XLXI_463 : dff1
      PORT MAP (din=>D(94), clk=>CLK, qout=>D(95));

   XLXI_464 : dff1
      PORT MAP (din=>D(95), clk=>CLK, qout=>D(96));

   XLXI_465 : dff1
      PORT MAP (din=>D(110), clk=>CLK, qout=>D(111));

   XLXI_466 : dff1
      PORT MAP (din=>D(111), clk=>CLK, qout=>D(112));

   XLXI_467 : dff1
      PORT MAP (din=>D(126), clk=>CLK, qout=>D(127));

   XLXI_468 : dff1
      PORT MAP (din=>D(127), clk=>CLK, qout=>D(128));

   XLXI_406 : dff1
      PORT MAP (din=>D(9), clk=>CLK, qout=>D(10));

   XLXI_407 : dff1
      PORT MAP (din=>D(24), clk=>CLK, qout=>D(25));

   XLXI_408 : dff1
      PORT MAP (din=>D(25), clk=>CLK, qout=>D(26));

   XLXI_409 : dff1
      PORT MAP (din=>D(40), clk=>CLK, qout=>D(41));

   XLXI_410 : dff1
      PORT MAP (din=>D(41), clk=>CLK, qout=>D(42));

   XLXI_411 : dff1
      PORT MAP (din=>D(56), clk=>CLK, qout=>D(57));

   XLXI_412 : dff1
      PORT MAP (din=>D(57), clk=>CLK, qout=>D(58));

   XLXI_413 : dff1
      PORT MAP (din=>D(10), clk=>CLK, qout=>D(11));

   XLXI_414 : dff1
      PORT MAP (din=>D(11), clk=>CLK, qout=>D(12));

   XLXI_415 : dff1
      PORT MAP (din=>D(26), clk=>CLK, qout=>D(27));

   XLXI_416 : dff1
      PORT MAP (din=>D(27), clk=>CLK, qout=>D(28));

   XLXI_417 : dff1
      PORT MAP (din=>D(42), clk=>CLK, qout=>D(43));

   XLXI_418 : dff1
      PORT MAP (din=>D(43), clk=>CLK, qout=>D(44));

   XLXI_419 : dff1
      PORT MAP (din=>D(58), clk=>CLK, qout=>D(59));

   XLXI_420 : dff1
      PORT MAP (din=>D(59), clk=>CLK, qout=>D(60));

   XLXI_421 : dff1
      PORT MAP (din=>D(72), clk=>CLK, qout=>D(73));

   XLXI_422 : dff1
      PORT MAP (din=>D(73), clk=>CLK, qout=>D(74));

   XLXI_423 : dff1
      PORT MAP (din=>D(88), clk=>CLK, qout=>D(89));

   XLXI_424 : dff1
      PORT MAP (din=>D(89), clk=>CLK, qout=>D(90));

   XLXI_425 : dff1
      PORT MAP (din=>D(104), clk=>CLK, qout=>D(105));

   XLXI_426 : dff1
      PORT MAP (din=>D(105), clk=>CLK, qout=>D(106));

   XLXI_427 : dff1
      PORT MAP (din=>D(120), clk=>CLK, qout=>D(121));

   XLXI_428 : dff1
      PORT MAP (din=>D(121), clk=>CLK, qout=>D(122));

   XLXI_429 : dff1
      PORT MAP (din=>D(74), clk=>CLK, qout=>D(75));

   XLXI_430 : dff1
      PORT MAP (din=>D(75), clk=>CLK, qout=>D(76));

   XLXI_431 : dff1
      PORT MAP (din=>D(90), clk=>CLK, qout=>D(91));

   XLXI_432 : dff1
      PORT MAP (din=>D(91), clk=>CLK, qout=>D(92));

   XLXI_433 : dff1
      PORT MAP (din=>D(106), clk=>CLK, qout=>D(107));

   XLXI_434 : dff1
      PORT MAP (din=>D(107), clk=>CLK, qout=>D(108));

   XLXI_435 : dff1
      PORT MAP (din=>D(122), clk=>CLK, qout=>D(123));

   XLXI_436 : dff1
      PORT MAP (din=>D(123), clk=>CLK, qout=>D(124));

   XLXI_437 : dff1
      PORT MAP (din=>D(12), clk=>CLK, qout=>D(13));

   XLXI_501 : dff1
      PORT MAP (din=>D(140), clk=>CLK, qout=>D(141));

   XLXI_502 : dff1
      PORT MAP (din=>D(141), clk=>CLK, qout=>D(142));

   XLXI_503 : dff1
      PORT MAP (din=>D(156), clk=>CLK, qout=>D(157));

   XLXI_504 : dff1
      PORT MAP (din=>D(157), clk=>CLK, qout=>D(158));

   XLXI_505 : dff1
      PORT MAP (din=>D(172), clk=>CLK, qout=>D(173));

   XLXI_506 : dff1
      PORT MAP (din=>D(173), clk=>CLK, qout=>D(174));

   XLXI_507 : dff1
      PORT MAP (din=>D(188), clk=>CLK, qout=>D(189));

   XLXI_508 : dff1
      PORT MAP (din=>D(189), clk=>CLK, qout=>D(190));

   XLXI_509 : dff1
      PORT MAP (din=>D(142), clk=>CLK, qout=>D(143));

   XLXI_510 : dff1
      PORT MAP (din=>D(143), clk=>CLK, qout=>D(144));

   XLXI_511 : dff1
      PORT MAP (din=>D(158), clk=>CLK, qout=>D(159));

   XLXI_512 : dff1
      PORT MAP (din=>D(159), clk=>CLK, qout=>D(160));

   XLXI_513 : dff1
      PORT MAP (din=>D(174), clk=>CLK, qout=>D(175));

   XLXI_514 : dff1
      PORT MAP (din=>D(175), clk=>CLK, qout=>D(176));

   XLXI_515 : dff1
      PORT MAP (din=>D(190), clk=>CLK, qout=>D(191));

   XLXI_516 : dff1
      PORT MAP (din=>D(191), clk=>CLK, qout=>D(192));

   XLXI_517 : dff1
      PORT MAP (din=>D(204), clk=>CLK, qout=>D(205));

   XLXI_518 : dff1
      PORT MAP (din=>D(205), clk=>CLK, qout=>D(206));

   XLXI_519 : dff1
      PORT MAP (din=>D(220), clk=>CLK, qout=>D(221));

   XLXI_520 : dff1
      PORT MAP (din=>D(221), clk=>CLK, qout=>D(222));

   XLXI_521 : dff1
      PORT MAP (din=>D(236), clk=>CLK, qout=>D(237));

   XLXI_522 : dff1
      PORT MAP (din=>D(237), clk=>CLK, qout=>D(238));

   XLXI_523 : dff1
      PORT MAP (din=>D(252), clk=>CLK, qout=>D(253));

   XLXI_524 : dff1
      PORT MAP (din=>D(253), clk=>CLK, qout=>D(254));

   XLXI_525 : dff1
      PORT MAP (din=>D(206), clk=>CLK, qout=>D(207));

   XLXI_526 : dff1
      PORT MAP (din=>D(207), clk=>CLK, qout=>D(208));

   XLXI_527 : dff1
      PORT MAP (din=>D(222), clk=>CLK, qout=>D(223));

   XLXI_528 : dff1
      PORT MAP (din=>D(223), clk=>CLK, qout=>D(224));

   XLXI_529 : dff1
      PORT MAP (din=>D(238), clk=>CLK, qout=>D(239));

   XLXI_530 : dff1
      PORT MAP (din=>D(239), clk=>CLK, qout=>D(240));

   XLXI_531 : dff1
      PORT MAP (din=>D(254), clk=>CLK, qout=>D(255));

   XLXI_663 : dff1
      PORT MAP (din=>XLXN_555, clk=>CLK, qout=>DOUT);

   XLXI_469 : dff1
      PORT MAP (din=>D(136), clk=>CLK, qout=>D(137));

   XLXI_470 : dff1
      PORT MAP (din=>D(137), clk=>CLK, qout=>D(138));

   XLXI_471 : dff1
      PORT MAP (din=>D(152), clk=>CLK, qout=>D(153));

   XLXI_472 : dff1
      PORT MAP (din=>D(153), clk=>CLK, qout=>D(154));

   XLXI_473 : dff1
      PORT MAP (din=>D(168), clk=>CLK, qout=>D(169));

   XLXI_474 : dff1
      PORT MAP (din=>D(169), clk=>CLK, qout=>D(170));

   XLXI_475 : dff1
      PORT MAP (din=>D(184), clk=>CLK, qout=>D(185));

   XLXI_476 : dff1
      PORT MAP (din=>D(185), clk=>CLK, qout=>D(186));

   XLXI_477 : dff1
      PORT MAP (din=>D(138), clk=>CLK, qout=>D(139));

   XLXI_478 : dff1
      PORT MAP (din=>D(139), clk=>CLK, qout=>D(140));

   XLXI_479 : dff1
      PORT MAP (din=>D(154), clk=>CLK, qout=>D(155));

   XLXI_480 : dff1
      PORT MAP (din=>D(155), clk=>CLK, qout=>D(156));

   XLXI_481 : dff1
      PORT MAP (din=>D(170), clk=>CLK, qout=>D(171));

   XLXI_482 : dff1
      PORT MAP (din=>D(171), clk=>CLK, qout=>D(172));

   XLXI_483 : dff1
      PORT MAP (din=>D(186), clk=>CLK, qout=>D(187));

   XLXI_484 : dff1
      PORT MAP (din=>D(187), clk=>CLK, qout=>D(188));

   XLXI_485 : dff1
      PORT MAP (din=>D(200), clk=>CLK, qout=>D(201));

   XLXI_486 : dff1
      PORT MAP (din=>D(201), clk=>CLK, qout=>D(202));

   XLXI_487 : dff1
      PORT MAP (din=>D(216), clk=>CLK, qout=>D(217));

   XLXI_488 : dff1
      PORT MAP (din=>D(217), clk=>CLK, qout=>D(218));

   XLXI_489 : dff1
      PORT MAP (din=>D(232), clk=>CLK, qout=>D(233));

   XLXI_490 : dff1
      PORT MAP (din=>D(233), clk=>CLK, qout=>D(234));

   XLXI_491 : dff1
      PORT MAP (din=>D(248), clk=>CLK, qout=>D(249));

   XLXI_492 : dff1
      PORT MAP (din=>D(249), clk=>CLK, qout=>D(250));

   XLXI_493 : dff1
      PORT MAP (din=>D(202), clk=>CLK, qout=>D(203));

   XLXI_494 : dff1
      PORT MAP (din=>D(203), clk=>CLK, qout=>D(204));

   XLXI_495 : dff1
      PORT MAP (din=>D(218), clk=>CLK, qout=>D(219));

   XLXI_496 : dff1
      PORT MAP (din=>D(219), clk=>CLK, qout=>D(220));

   XLXI_497 : dff1
      PORT MAP (din=>D(234), clk=>CLK, qout=>D(235));

   XLXI_498 : dff1
      PORT MAP (din=>D(235), clk=>CLK, qout=>D(236));

   XLXI_499 : dff1
      PORT MAP (din=>D(250), clk=>CLK, qout=>D(251));

   XLXI_500 : dff1
      PORT MAP (din=>D(251), clk=>CLK, qout=>D(252));

   XLXI_309 : dff1
      PORT MAP (din=>D(4), clk=>CLK, qout=>D(5));

   XLXI_310 : dff1
      PORT MAP (din=>D(5), clk=>CLK, qout=>D(6));

   XLXI_311 : dff1
      PORT MAP (din=>D(20), clk=>CLK, qout=>D(21));

   XLXI_312 : dff1
      PORT MAP (din=>D(21), clk=>CLK, qout=>D(22));

   XLXI_313 : dff1
      PORT MAP (din=>D(36), clk=>CLK, qout=>D(37));

   XLXI_314 : dff1
      PORT MAP (din=>D(37), clk=>CLK, qout=>D(38));

   XLXI_315 : dff1
      PORT MAP (din=>D(52), clk=>CLK, qout=>D(53));

   XLXI_316 : dff1
      PORT MAP (din=>D(53), clk=>CLK, qout=>D(54));

   XLXI_317 : dff1
      PORT MAP (din=>D(6), clk=>CLK, qout=>D(7));

   XLXI_318 : dff1
      PORT MAP (din=>D(7), clk=>CLK, qout=>D(8));

   XLXI_319 : dff1
      PORT MAP (din=>D(22), clk=>CLK, qout=>D(23));

   XLXI_320 : dff1
      PORT MAP (din=>D(23), clk=>CLK, qout=>D(24));

   XLXI_321 : dff1
      PORT MAP (din=>D(38), clk=>CLK, qout=>D(39));

   XLXI_322 : dff1
      PORT MAP (din=>D(39), clk=>CLK, qout=>D(40));

   XLXI_323 : dff1
      PORT MAP (din=>D(54), clk=>CLK, qout=>D(55));

   XLXI_324 : dff1
      PORT MAP (din=>D(55), clk=>CLK, qout=>D(56));

   XLXI_325 : dff1
      PORT MAP (din=>D(68), clk=>CLK, qout=>D(69));

   XLXI_326 : dff1
      PORT MAP (din=>D(69), clk=>CLK, qout=>D(70));

   XLXI_327 : dff1
      PORT MAP (din=>D(84), clk=>CLK, qout=>D(85));

   XLXI_328 : dff1
      PORT MAP (din=>D(85), clk=>CLK, qout=>D(86));

   XLXI_329 : dff1
      PORT MAP (din=>D(100), clk=>CLK, qout=>D(101));

   XLXI_330 : dff1
      PORT MAP (din=>D(101), clk=>CLK, qout=>D(102));

   XLXI_331 : dff1
      PORT MAP (din=>D(116), clk=>CLK, qout=>D(117));

   XLXI_332 : dff1
      PORT MAP (din=>D(117), clk=>CLK, qout=>D(118));

   XLXI_333 : dff1
      PORT MAP (din=>D(70), clk=>CLK, qout=>D(71));

   XLXI_334 : dff1
      PORT MAP (din=>D(71), clk=>CLK, qout=>D(72));

   XLXI_335 : dff1
      PORT MAP (din=>D(86), clk=>CLK, qout=>D(87));

   XLXI_336 : dff1
      PORT MAP (din=>D(87), clk=>CLK, qout=>D(88));

   XLXI_337 : dff1
      PORT MAP (din=>D(102), clk=>CLK, qout=>D(103));

   XLXI_338 : dff1
      PORT MAP (din=>D(103), clk=>CLK, qout=>D(104));

   XLXI_339 : dff1
      PORT MAP (din=>D(118), clk=>CLK, qout=>D(119));

   XLXI_340 : dff1
      PORT MAP (din=>D(119), clk=>CLK, qout=>D(120));

   XLXI_1 : dff1
      PORT MAP (din=>D(0), clk=>CLK, qout=>D(1));

   XLXI_2 : dff1
      PORT MAP (din=>D(1), clk=>CLK, qout=>D(2));

   XLXI_17 : dff1
      PORT MAP (din=>D(16), clk=>CLK, qout=>D(17));

   XLXI_280 : dff1
      PORT MAP (din=>D(17), clk=>CLK, qout=>D(18));

   XLXI_281 : dff1
      PORT MAP (din=>D(32), clk=>CLK, qout=>D(33));

   XLXI_282 : dff1
      PORT MAP (din=>D(33), clk=>CLK, qout=>D(34));

   XLXI_283 : dff1
      PORT MAP (din=>D(48), clk=>CLK, qout=>D(49));

   XLXI_284 : dff1
      PORT MAP (din=>D(49), clk=>CLK, qout=>D(50));

   XLXI_285 : dff1
      PORT MAP (din=>D(2), clk=>CLK, qout=>D(3));

   XLXI_286 : dff1
      PORT MAP (din=>D(3), clk=>CLK, qout=>D(4));

   XLXI_287 : dff1
      PORT MAP (din=>D(18), clk=>CLK, qout=>D(19));

   XLXI_288 : dff1
      PORT MAP (din=>D(19), clk=>CLK, qout=>D(20));

   XLXI_289 : dff1
      PORT MAP (din=>D(34), clk=>CLK, qout=>D(35));

   XLXI_290 : dff1
      PORT MAP (din=>D(35), clk=>CLK, qout=>D(36));

   XLXI_291 : dff1
      PORT MAP (din=>D(50), clk=>CLK, qout=>D(51));

   XLXI_292 : dff1
      PORT MAP (din=>D(51), clk=>CLK, qout=>D(52));

   XLXI_293 : dff1
      PORT MAP (din=>D(64), clk=>CLK, qout=>D(65));

   XLXI_294 : dff1
      PORT MAP (din=>D(65), clk=>CLK, qout=>D(66));

   XLXI_295 : dff1
      PORT MAP (din=>D(80), clk=>CLK, qout=>D(81));

   XLXI_296 : dff1
      PORT MAP (din=>D(81), clk=>CLK, qout=>D(82));

   XLXI_297 : dff1
      PORT MAP (din=>D(96), clk=>CLK, qout=>D(97));

   XLXI_298 : dff1
      PORT MAP (din=>D(97), clk=>CLK, qout=>D(98));

   XLXI_299 : dff1
      PORT MAP (din=>D(112), clk=>CLK, qout=>D(113));

   XLXI_300 : dff1
      PORT MAP (din=>D(113), clk=>CLK, qout=>D(114));

   XLXI_301 : dff1
      PORT MAP (din=>D(66), clk=>CLK, qout=>D(67));

   XLXI_302 : dff1
      PORT MAP (din=>D(67), clk=>CLK, qout=>D(68));

   XLXI_303 : dff1
      PORT MAP (din=>D(82), clk=>CLK, qout=>D(83));

   XLXI_304 : dff1
      PORT MAP (din=>D(83), clk=>CLK, qout=>D(84));

   XLXI_305 : dff1
      PORT MAP (din=>D(98), clk=>CLK, qout=>D(99));

   XLXI_306 : dff1
      PORT MAP (din=>D(99), clk=>CLK, qout=>D(100));

   XLXI_307 : dff1
      PORT MAP (din=>D(114), clk=>CLK, qout=>D(115));

   XLXI_308 : dff1
      PORT MAP (din=>D(115), clk=>CLK, qout=>D(116));

   XLXI_374 : dff1
      PORT MAP (din=>D(133), clk=>CLK, qout=>D(134));

   XLXI_375 : dff1
      PORT MAP (din=>D(148), clk=>CLK, qout=>D(149));

   XLXI_376 : dff1
      PORT MAP (din=>D(149), clk=>CLK, qout=>D(150));

   XLXI_377 : dff1
      PORT MAP (din=>D(164), clk=>CLK, qout=>D(165));

   XLXI_378 : dff1
      PORT MAP (din=>D(165), clk=>CLK, qout=>D(166));

   XLXI_379 : dff1
      PORT MAP (din=>D(180), clk=>CLK, qout=>D(181));

   XLXI_380 : dff1
      PORT MAP (din=>D(181), clk=>CLK, qout=>D(182));

   XLXI_381 : dff1
      PORT MAP (din=>D(134), clk=>CLK, qout=>D(135));

   XLXI_382 : dff1
      PORT MAP (din=>D(135), clk=>CLK, qout=>D(136));

   XLXI_383 : dff1
      PORT MAP (din=>D(150), clk=>CLK, qout=>D(151));

   XLXI_384 : dff1
      PORT MAP (din=>D(151), clk=>CLK, qout=>D(152));

   XLXI_385 : dff1
      PORT MAP (din=>D(166), clk=>CLK, qout=>D(167));

   XLXI_386 : dff1
      PORT MAP (din=>D(167), clk=>CLK, qout=>D(168));

   XLXI_387 : dff1
      PORT MAP (din=>D(182), clk=>CLK, qout=>D(183));

   XLXI_388 : dff1
      PORT MAP (din=>D(183), clk=>CLK, qout=>D(184));

   XLXI_389 : dff1
      PORT MAP (din=>D(196), clk=>CLK, qout=>D(197));

   XLXI_390 : dff1
      PORT MAP (din=>D(197), clk=>CLK, qout=>D(198));

   XLXI_391 : dff1
      PORT MAP (din=>D(212), clk=>CLK, qout=>D(213));

   XLXI_392 : dff1
      PORT MAP (din=>D(213), clk=>CLK, qout=>D(214));

   XLXI_393 : dff1
      PORT MAP (din=>D(228), clk=>CLK, qout=>D(229));

   XLXI_394 : dff1
      PORT MAP (din=>D(229), clk=>CLK, qout=>D(230));

   XLXI_395 : dff1
      PORT MAP (din=>D(244), clk=>CLK, qout=>D(245));

   XLXI_396 : dff1
      PORT MAP (din=>D(245), clk=>CLK, qout=>D(246));

   XLXI_397 : dff1
      PORT MAP (din=>D(198), clk=>CLK, qout=>D(199));

   XLXI_398 : dff1
      PORT MAP (din=>D(199), clk=>CLK, qout=>D(200));

   XLXI_399 : dff1
      PORT MAP (din=>D(214), clk=>CLK, qout=>D(215));

   XLXI_400 : dff1
      PORT MAP (din=>D(215), clk=>CLK, qout=>D(216));

   XLXI_401 : dff1
      PORT MAP (din=>D(230), clk=>CLK, qout=>D(231));

   XLXI_402 : dff1
      PORT MAP (din=>D(231), clk=>CLK, qout=>D(232));

   XLXI_403 : dff1
      PORT MAP (din=>D(246), clk=>CLK, qout=>D(247));

   XLXI_404 : dff1
      PORT MAP (din=>D(247), clk=>CLK, qout=>D(248));

   XLXI_405 : dff1
      PORT MAP (din=>D(8), clk=>CLK, qout=>D(9));

   XLXI_341 : dff1
      PORT MAP (din=>D(128), clk=>CLK, qout=>D(129));

   XLXI_342 : dff1
      PORT MAP (din=>D(129), clk=>CLK, qout=>D(130));

   XLXI_343 : dff1
      PORT MAP (din=>D(144), clk=>CLK, qout=>D(145));

   XLXI_344 : dff1
      PORT MAP (din=>D(145), clk=>CLK, qout=>D(146));

   XLXI_345 : dff1
      PORT MAP (din=>D(160), clk=>CLK, qout=>D(161));

   XLXI_346 : dff1
      PORT MAP (din=>D(161), clk=>CLK, qout=>D(162));

   XLXI_347 : dff1
      PORT MAP (din=>D(176), clk=>CLK, qout=>D(177));

   XLXI_348 : dff1
      PORT MAP (din=>D(177), clk=>CLK, qout=>D(178));

   XLXI_349 : dff1
      PORT MAP (din=>D(130), clk=>CLK, qout=>D(131));

   XLXI_350 : dff1
      PORT MAP (din=>D(131), clk=>CLK, qout=>D(132));

   XLXI_351 : dff1
      PORT MAP (din=>D(146), clk=>CLK, qout=>D(147));

   XLXI_352 : dff1
      PORT MAP (din=>D(147), clk=>CLK, qout=>D(148));

   XLXI_353 : dff1
      PORT MAP (din=>D(162), clk=>CLK, qout=>D(163));

   XLXI_354 : dff1
      PORT MAP (din=>D(163), clk=>CLK, qout=>D(164));

   XLXI_355 : dff1
      PORT MAP (din=>D(178), clk=>CLK, qout=>D(179));

   XLXI_356 : dff1
      PORT MAP (din=>D(179), clk=>CLK, qout=>D(180));

   XLXI_373 : dff1
      PORT MAP (din=>D(132), clk=>CLK, qout=>D(133));

   XLXI_372 : dff1
      PORT MAP (din=>D(243), clk=>CLK, qout=>D(244));

   XLXI_371 : dff1
      PORT MAP (din=>D(242), clk=>CLK, qout=>D(243));

   XLXI_370 : dff1
      PORT MAP (din=>D(227), clk=>CLK, qout=>D(228));

   XLXI_369 : dff1
      PORT MAP (din=>D(226), clk=>CLK, qout=>D(227));

   XLXI_368 : dff1
      PORT MAP (din=>D(211), clk=>CLK, qout=>D(212));

   XLXI_367 : dff1
      PORT MAP (din=>D(210), clk=>CLK, qout=>D(211));

   XLXI_366 : dff1
      PORT MAP (din=>D(195), clk=>CLK, qout=>D(196));

   XLXI_365 : dff1
      PORT MAP (din=>D(194), clk=>CLK, qout=>D(195));

   XLXI_364 : dff1
      PORT MAP (din=>D(241), clk=>CLK, qout=>D(242));

   XLXI_363 : dff1
      PORT MAP (din=>D(240), clk=>CLK, qout=>D(241));

   XLXI_362 : dff1
      PORT MAP (din=>D(225), clk=>CLK, qout=>D(226));

   XLXI_361 : dff1
      PORT MAP (din=>D(224), clk=>CLK, qout=>D(225));

   XLXI_360 : dff1
      PORT MAP (din=>D(209), clk=>CLK, qout=>D(210));

   XLXI_359 : dff1
      PORT MAP (din=>D(208), clk=>CLK, qout=>D(209));

   XLXI_358 : dff1
      PORT MAP (din=>D(193), clk=>CLK, qout=>D(194));

   XLXI_357 : dff1
      PORT MAP (din=>D(192), clk=>CLK, qout=>D(193));

   XLXI_661 : mux256
      PORT MAP (M(255)=>D(255), M(254)=>D(254), M(253)=>D(253), M(252)=>D(252),
      M(251)=>D(251), M(250)=>D(250), M(249)=>D(249), M(248)=>D(248),
      M(247)=>D(247), M(246)=>D(246), M(245)=>D(245), M(244)=>D(244),
      M(243)=>D(243), M(242)=>D(242), M(241)=>D(241), M(240)=>D(240),
      M(239)=>D(239), M(238)=>D(238), M(237)=>D(237), M(236)=>D(236),
      M(235)=>D(235), M(234)=>D(234), M(233)=>D(233), M(232)=>D(232),
      M(231)=>D(231), M(230)=>D(230), M(229)=>D(229), M(228)=>D(228),
      M(227)=>D(227), M(226)=>D(226), M(225)=>D(225), M(224)=>D(224),
      M(223)=>D(223), M(222)=>D(222), M(221)=>D(221), M(220)=>D(220),
      M(219)=>D(219), M(218)=>D(218), M(217)=>D(217), M(216)=>D(216),
      M(215)=>D(215), M(214)=>D(214), M(213)=>D(213), M(212)=>D(212),
      M(211)=>D(211), M(210)=>D(210), M(209)=>D(209), M(208)=>D(208),
      M(207)=>D(207), M(206)=>D(206), M(205)=>D(205), M(204)=>D(204),
      M(203)=>D(203), M(202)=>D(202), M(201)=>D(201), M(200)=>D(200),
      M(199)=>D(199), M(198)=>D(198), M(197)=>D(197), M(196)=>D(196),
      M(195)=>D(195), M(194)=>D(194), M(193)=>D(193), M(192)=>D(192),
      M(191)=>D(191), M(190)=>D(190), M(189)=>D(189), M(188)=>D(188),
      M(187)=>D(187), M(186)=>D(186), M(185)=>D(185), M(184)=>D(184),
      M(183)=>D(183), M(182)=>D(182), M(181)=>D(181), M(180)=>D(180),
      M(179)=>D(179), M(178)=>D(178), M(177)=>D(177), M(176)=>D(176),
      M(175)=>D(175), M(174)=>D(174), M(173)=>D(173), M(172)=>D(172),
      M(171)=>D(171), M(170)=>D(170), M(169)=>D(169), M(168)=>D(168),
      M(167)=>D(167), M(166)=>D(166), M(165)=>D(165), M(164)=>D(164),
      M(163)=>D(163), M(162)=>D(162), M(161)=>D(161), M(160)=>D(160),
      M(159)=>D(159), M(158)=>D(158), M(157)=>D(157), M(156)=>D(156),
      M(155)=>D(155), M(154)=>D(154), M(153)=>D(153), M(152)=>D(152),
      M(151)=>D(151), M(150)=>D(150), M(149)=>D(149), M(148)=>D(148),
      M(147)=>D(147), M(146)=>D(146), M(145)=>D(145), M(144)=>D(144),
      M(143)=>D(143), M(142)=>D(142), M(141)=>D(141), M(140)=>D(140),
      M(139)=>D(139), M(138)=>D(138), M(137)=>D(137), M(136)=>D(136),
      M(135)=>D(135), M(134)=>D(134), M(133)=>D(133), M(132)=>D(132),
      M(131)=>D(131), M(130)=>D(130), M(129)=>D(129), M(128)=>D(128),
      M(127)=>D(127), M(126)=>D(126), M(125)=>D(125), M(124)=>D(124),
      M(123)=>D(123), M(122)=>D(122), M(121)=>D(121), M(120)=>D(120),
      M(119)=>D(119), M(118)=>D(118), M(117)=>D(117), M(116)=>D(116),
      M(115)=>D(115), M(114)=>D(114), M(113)=>D(113), M(112)=>D(112),
      M(111)=>D(111), M(110)=>D(110), M(109)=>D(109), M(108)=>D(108),
      M(107)=>D(107), M(106)=>D(106), M(105)=>D(105), M(104)=>D(104),
      M(103)=>D(103), M(102)=>D(102), M(101)=>D(101), M(100)=>D(100),
      M(99)=>D(99), M(98)=>D(98), M(97)=>D(97), M(96)=>D(96), M(95)=>D(95),
      M(94)=>D(94), M(93)=>D(93), M(92)=>D(92), M(91)=>D(91), M(90)=>D(90),
      M(89)=>D(89), M(88)=>D(88), M(87)=>D(87), M(86)=>D(86), M(85)=>D(85),
      M(84)=>D(84), M(83)=>D(83), M(82)=>D(82), M(81)=>D(81), M(80)=>D(80),
      M(79)=>D(79), M(78)=>D(78), M(77)=>D(77), M(76)=>D(76), M(75)=>D(75),
      M(74)=>D(74), M(73)=>D(73), M(72)=>D(72), M(71)=>D(71), M(70)=>D(70),
      M(69)=>D(69), M(68)=>D(68), M(67)=>D(67), M(66)=>D(66), M(65)=>D(65),
      M(64)=>D(64), M(63)=>D(63), M(62)=>D(62), M(61)=>D(61), M(60)=>D(60),
      M(59)=>D(59), M(58)=>D(58), M(57)=>D(57), M(56)=>D(56), M(55)=>D(55),
      M(54)=>D(54), M(53)=>D(53), M(52)=>D(52), M(51)=>D(51), M(50)=>D(50),
      M(49)=>D(49), M(48)=>D(48), M(47)=>D(47), M(46)=>D(46), M(45)=>D(45),
      M(44)=>D(44), M(43)=>D(43), M(42)=>D(42), M(41)=>D(41), M(40)=>D(40),
      M(39)=>D(39), M(38)=>D(38), M(37)=>D(37), M(36)=>D(36), M(35)=>D(35),
      M(34)=>D(34), M(33)=>D(33), M(32)=>D(32), M(31)=>D(31), M(30)=>D(30),
      M(29)=>D(29), M(28)=>D(28), M(27)=>D(27), M(26)=>D(26), M(25)=>D(25),
      M(24)=>D(24), M(23)=>D(23), M(22)=>D(22), M(21)=>D(21), M(20)=>D(20),
      M(19)=>D(19), M(18)=>D(18), M(17)=>D(17), M(16)=>D(16), M(15)=>D(15),
      M(14)=>D(14), M(13)=>D(13), M(12)=>D(12), M(11)=>D(11), M(10)=>D(10),
      M(9)=>D(9), M(8)=>D(8), M(7)=>D(7), M(6)=>D(6), M(5)=>D(5), M(4)=>D(4),
      M(3)=>D(3), M(2)=>D(2), M(1)=>D(1), M(0)=>D(0), S(7)=>CNTR(7),
      S(6)=>CNTR(6), S(5)=>CNTR(5), S(4)=>CNTR(4), S(3)=>CNTR(3),
      S(2)=>CNTR(2), S(1)=>CNTR(1), S(0)=>CNTR(0), O=>XLXN_555);

END SCHEMATIC;



